Reorder a product's images
curl --request PUT \
--url https://wisepim.com/api/public/v1/products/{product_id}/asset-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/asset-order"
payload = { "asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/asset-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"main_image": "<string>",
"assets": [
{
"asset_id": "<string>",
"position": 123,
"is_main": true
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Reorder product images
PUT /products//asset-order: set the full order of a product’s images. Requires assets:write.
PUT
/
api
/
public
/
v1
/
products
/
{product_id}
/
asset-order
Reorder a product's images
curl --request PUT \
--url https://wisepim.com/api/public/v1/products/{product_id}/asset-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/asset-order"
payload = { "asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/asset-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"main_image": "<string>",
"assets": [
{
"asset_id": "<string>",
"position": 123,
"is_main": true
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Body
application/json

